import { createI18n } from 'vue-i18n'

const datetimeFormats = {
   fr: {
      short: {
         year: "numeric",
         month: "numeric",
         day: "numeric"
      },
      text: {
         year: "numeric",
         month: "long",
         day: "numeric",
      },
      long: {
         year: "numeric",
         month: "numeric",
         day: "numeric",
         hour: "numeric",
         minute: "numeric",
         hour12: false
      }
   }
};
const messages = {
   fr: {
      action: {
         actions: "Actions",
         show: "Voir",
         edit: "Modifier",
         create: "Créer",
         remove: "Enlever",
         delete: "Supprimer",
         save: "Enregistrer",
         valid: "Valider",
         valid_and_see: "Valider et voir",
         add: "Ajouter",
         show_modal: "Ouvrir une modale",
         ok: "OK",
         cancel: "Annuler",
         close: "Fermer",
         back: "Retour",
         check_all: "cocher tout",
         reset: "réinitialiser"
      },
      nav: {
         next: "Suivant",
         previous: "Précédent",
         top: "Haut",
         bottom: "Bas",
      },
      onthefly: {
         show: {
            person: "Détails de l'usager",
            thirdparty: "Détails du tiers"
         },
         edit: {
            person: "Modifier un usager",
            thirdparty: "Modifier un tiers"
         },
         create: {
            button: "Créer \"{q}\"",
            title: "Création d'un nouvel usager ou d'un tiers professionnel",
            person: "un nouvel usager",
            thirdparty: "un nouveau tiers professionnel"
         },
      },
   }
};

const _createI18n = (appMessages) => {
   Object.assign(messages.fr, appMessages.fr);
   return createI18n({
      locale: 'fr',
      fallbackLocale: 'fr',
      datetimeFormats,
      messages,
   })
};

export { _createI18n }
