<?php

namespace Chill\PersonBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\DependentFixtureInterface;
use Chill\PersonBundle\Entity\AccompanyingPeriod;
use Chill\MainBundle\DataFixtures\ORM\LoadAbstractNotificationsTrait;
use Chill\PersonBundle\DataFixtures\ORM\LoadAccompanyingPeriod;

/**
 * Load notififications into database
 */
class LoadAccompanyingPeriodNotifications extends AbstractFixture implements DependentFixtureInterface
{
    use LoadAbstractNotificationsTrait;

    public $notifs = [
        [
            'message' => 'Hello !',
            'entityClass' => AccompanyingPeriod::class,
            'entityRef' => LoadAccompanyingPeriod::ACCOMPANYING_PERIOD,
            'sender' => 'center a_social',
            'addressees' => [
                'center a_social',
                'center a_administrative',
                'center a_direction',
                'multi_center'
            ],
        ]
    ];

    public function getDependencies()
    {
        return [
            LoadAccompanyingPeriod::class,
        ];
    }
}
