<?php

/*
 * Chill is a suite of a modules, Chill is a software for social workers
 * Copyright (C) 2021, Champs Libres Cooperative SCRLFS, <http://www.champs-libres.coop>
 *
 * This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Chill\PersonBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Persistence\ObjectManager;

use Chill\PersonBundle\Entity\SocialWork\Goal;


/**
 * Create social goals
 *
 */
class LoadSocialGoals extends AbstractFixture implements OrderedFixtureInterface
{
    public function getOrder()
    {
        return 10030;
    }

    public static $socialGoals = [
        'social_goal_instuire_dossier' => [
            'title' => [
                'fr' => 'Instruire le dossier de surendettement'
            ],
            'action' => 'social_action_MASP'
        ],
        'social_goal_proteger' => [
            'title' => [
                'fr' => 'Protéger via une assistance educative placement'
            ],
            'action' => 'social_action_protection_enfant'
        ],
    ];

    public function load(ObjectManager $manager)
    {
        foreach (static::$socialGoals as $ref => $new) {
            $socialGoal = new Goal();
            $socialGoal->setTitle($new['title']);
            $socialGoal->addSocialAction($this->getReference($new['action']));

            $manager->persist($socialGoal);
            $this->addReference($ref, $socialGoal);
            print("Adding SocialGoal '".$new['title']['fr']."'\n");
        }

        $manager->flush();
    }
}
