<?php

namespace Chill\PersonBundle\Entity\Household;

use Chill\MainBundle\Entity\Address;
use Chill\PersonBundle\Entity\Household\Household;
use Chill\PersonBundle\Entity\Person;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(readOnly=true)
 * @ORM\Table(name="view_chill_person_household_address")
 */
class PersonHouseholdAddress
{

    /**
     * @ORM\Column(type="date_immutable")
     */
    private $validFrom;

    /**
     * @ORM\Column(type="date_immutable", nullable=true)
     */
    private $validTo;

    /**
     * @ORM\Id
     * @ORM\ManyToOne(targetEntity=Person::class)
     * @ORM\JoinColumn(nullable=false)
     */
    private $person;

    /**
     * @ORM\Id
     * @ORM\ManyToOne(targetEntity=Household::class)
     * @ORM\JoinColumn(nullable=false)
     */
    private $household;

    /**
     * @ORM\Id
     * @ORM\ManyToOne(targetEntity=Address::class)
     * @ORM\JoinColumn(nullable=false)
     */
    private $address;

    public function getValidFrom(): ?\DateTimeInterface
    {
        return $this->validFrom;
    }

    public function getValidTo(): ?\DateTimeImmutable
    {
        return $this->validTo;
    }

    public function getPerson(): ?Person
    {
        return $this->person;
    }

    public function getHousehold(): ?Household
    {
        return $this->relation;
    }

    public function getAddress(): ?Address
    {
        return $this->address;
    }
}
