<?php

namespace Chill\ThirdPartyBundle\Serializer\Normalizer;

use Chill\ThirdPartyBundle\Entity\ThirdParty;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;


class ThirdPartyNormalizer implements NormalizerInterface, NormalizerAwareInterface
{
    use NormalizerAwareTrait;

    public function normalize($thirdParty, string $format = null, array $context = [])
    {
        /** @var $thirdParty ThirdParty */
        $data['type'] = 'thirdparty';
        // TODO should be replaced by a "render entity"
        $data['text'] = $thirdParty->getName();
        $data['id'] = $thirdParty->getId();
        $data['address'] = $this->normalizer->normalize($thirdParty->getAddress(), $format,
            [ 'address_rendering' => 'short' ]);

        return $data;
    }

    public function supportsNormalization($data, string $format = null)
    {
        return $data instanceof ThirdParty;
    }

}
